%define upstream_name    Starlet
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A simple, high-performance PSGI/Plack HTTP server
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Parallel::Prefork) >= 0.130.0
BuildRequires: perl(Plack) >= 0.992.0
BuildRequires: perl(Server::Starter) >= 0.60.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::TCP) >= 0.150.0
BuildArch:  noarch

%description
Starlet is a standalone HTTP/1.0 server with keep-alive support, formerly
known as the Plack::Server::Standalone::Prefork manpage and the
Plack::Server::Standalone::Prefork::Server::Starter manpage.

The server supports following features, and is suitable for running HTTP
application servers behind a reverse proxy.

- prefork and graceful shutdown using the Parallel::Prefork manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sat Nov 05 2011 kharec <kharec> 0.140.0-1.mga2
+ Revision: 163559
- update to 0.14

  + jquelin <jquelin>
    - imported package perl-Starlet


* Mon Jul 25 2011 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
